%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define pango_version 1.2.5
%define gtk2_version 2.2.4
%define gconf2_version 2.4.0.1

# %define desktop_file_utils_version @desktop_file_utils_version@

Summary: 	Editor/admin tool for GConf
Name: 		gconf-editor
Version: 	2.4.0
Release: 	1
URL: 		http://www.gnome.org
Source: 	%{name}-%{version}.tar.bz2

Patch0:		gconf-editor-2.4.0-aix.patch
Patch1:		gconf-editor-2.4.0-autotools.patch

License: 	GPL
Group: 		Applications/System
BuildRoot: 	%{_tmppath}/%{name}-root

BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
# BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
# BuildRequires: Xft
# BuildRequires: fontconfig

%description
gconf-editor allows you to browse and modify GConf configuration 
sources.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/gconf-editor-2.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/gconf-editor-2.4.0-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%files 
%defattr(-,root,system)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_datadir}/pixmaps
%{_datadir}/applications
%{_datadir}/locale/*/LC_MESSAGES/gconf-editor.mo

/usr/bin/*
